ReferenceMakerQuotes
Quote an RFQ
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/maker/quotes" \ -H "Content-Type: application/json" \ -d '{ "rfqId": "string", "price": "97300.0" }'{ "quoteId": "string", "rfqId": "string", "maker": "acme-mm-4f2a91", "price": "97300.0", "validUntil": "2019-08-24T14:15:22Z", "status": "pending", "settling": true, "anchorCids": [ "string" ], "actions": [ { "id": "string", "kind": "hash", "purpose": "allocate", "description": "Sign your quote 97300 (2/2: USDCx allocation)", "hash": "string", "tradeId": "string", "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z" } ]}{ "error": "string", "code": "INSUFFICIENT_FUNDS"}{ "error": "string", "code": "INSUFFICIENT_FUNDS"}{ "error": "string", "code": "INSUFFICIENT_FUNDS"}{ "error": "string", "code": "INSUFFICIENT_FUNDS"}{ "error": "string", "code": "INSUFFICIENT_FUNDS"}